--- old/usr/src/cmd/mdb/common/modules/genunix/ldi.c	2014-04-30 15:43:09.490549563 +0000
+++ new/usr/src/cmd/mdb/common/modules/genunix/ldi.c	2014-04-30 15:43:09.497367558 +0000
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/sysmacros.h>
 #include <sys/dditypes.h>
@@ -366,13 +364,6 @@
 	int			ident = 0;
 	int			refs = 1;
 
-	if (mdb_getopts(argc, argv,
-	    'i', MDB_OPT_SETBITS, TRUE, &ident) != argc)
-		return (DCMD_USAGE);
-
-	if (ident)
-		refs = 0;
-
 	/* Determine if there is an ldi handle address */
 	if (!(flags & DCMD_ADDRSPEC)) {
 		if (mdb_walk_dcmd("ldi_handle", "ldi_handle",
@@ -382,6 +373,13 @@
 		} return (DCMD_OK);
 	}
 
+	if (mdb_getopts(argc, argv,
+	    'i', MDB_OPT_SETBITS, TRUE, &ident) != argc)
+		return (DCMD_USAGE);
+
+	if (ident)
+		refs = 0;
+
 	/* display the header line */
 	if (DCMD_HDRSPEC(flags))
 		ldi_handle_header(refs, ident);
